import { registerBlockType } from '@wordpress/blocks';
import { InnerBlocks } from '@wordpress/block-editor';
import Edit from './edit';
import save from './save';
import tableRowIcon from './icon';
import metadata from './block.json';

registerBlockType( metadata.name, {
	icon: tableRowIcon,
	edit: Edit,
	save,
	deprecated: [
		{
			attributes: metadata.attributes,
			save() {
				return <InnerBlocks.Content />;
			},
		},
	],
} );
